Project

General

Profile

Packaging request #1047

[openfoam3.0-git] add package to PCR

laust - about 4 years ago - . Updated almost 4 years ago.

Status:
fixed
Priority:
wish
Assignee:
-
% Done:

100%


Description

Description: CFD software
License: GPL (http://openfoam.org/licence)
Code: https://github.com/OpenFOAM
AUR: https://aur.archlinux.org/packages/openfoam3.0-git/

The dependency to parmetis is wrong. Parmetis is not free software, and openfoam doesn't use it (confirmed by H.G.W from the openFOAM foundation).

History

#1

Updated by Anonymous about 4 years ago

  • Assignee set to Anonymous
  • Subject changed from [Openfoam] Please add to pcr to [openfoam] please add to pcr
#2

Updated by Anonymous almost 4 years ago

  • Status changed from open to in progress
  • Subject changed from [openfoam] please add to pcr to [openfoam3.0-git] add package to pcr
#3

Updated by Anonymous almost 4 years ago

  • Subject changed from [openfoam3.0-git] add package to pcr to [openfoam3.0-git] add package to PCR
#4

Updated by Anonymous almost 4 years ago

  • % Done changed from 0 to 50
#5

Updated by Anonymous almost 4 years ago

  • % Done changed from 50 to 100
  • Status changed from in progress to fixed
#6

Updated by laust almost 4 years ago

Thanks Emulatorman!

At the end of install, in the NOTE, appears the recommendation to run the ofoam-3.0 script to avoid conflict with R. I guess it should be run even without R installed, and each time one wants to use openfoam, because it sets environment variables. Doing it:

┌─[laust@Lothlorien]─[~]
└──╼ ofoam-3.0
/usr/bin/ofoam-3.0: line 2: ./opt/OpenFOAM/OpenFOAM-3.0.x/etc/bashrc: No such file or directory

The script contains:

export FOAM_INST_DIR=/opt/OpenFOAM
.$FOAM_INST_DIR/OpenFOAM-3.0.x/etc/bashrc

I think the dot at the beginning of the second line should be removed and the line should be:

source $FOAM_INST_DIR/OpenFOAM-3.0.x/etc/bashrc

Also available in: Atom PDF